#ifndef INCLUDED_UNIQUE_COLOR_GENERATOR_H
#define INCLUDED_UNIQUE_COLOR_GENERATOR_H

#include "Singleton.h"

#include <vector>

#include "Color.h"

class UniqueColorGenerator : public Singleton<UniqueColorGenerator>
{
	public:

		UniqueColorGenerator(void);

		Color getUniqueColor(void);

	private:

		std::vector<Color> m_generated_colors;

		unsigned int m_next_color_to_give;
};

#endif


